% This function is designed to take info and the solution file, read them
% in and then plot their results

function [] = plot_results()

xy_file = 'XY_points.csv';
lgnode_file = 'Nodes.csv';
solution = 'Solution.csv';

% Read in the data files
xy = csvread(xy_file);
lgnode = csvread(lgnode_file);
U = csvread(solution);

% Get the number of elements
nE = size(lgnode,1);

% The number of time steps
[m,p] = size(U);

close all
i = m;
% Loop over the time steps
%for i=1:m

    % for all the elements
    for j=1:nE
        
        %setup the x and y and u vectors 
        x = [xy(lgnode(j,1),1),xy(lgnode(j,2),1),xy(lgnode(j,3),1)];
        y = [xy(lgnode(j,1),2),xy(lgnode(j,2),2),xy(lgnode(j,3),2)];
        u = [U(i,lgnode(j,1)),U(i,lgnode(j,2)),U(i,lgnode(j,3))];
        
        % Plot the element
        patch(x,y,u,'g')
    end

    size(xy(:,1))
    size(U)
    %scatter3(xy(:,1),xy(:,2),U(m,:)')
    %axis([0 1 0 1 0 .1 -1 1])
    %pause(.1);
%end


